# PoweredUP

#### new PoweredUP()

Source:
  - poweredup-browser.js, line 36

### Extends

- EventEmitter

### Methods

#### getHubByPrimaryMACAddress(address) → {BaseHub}

Retrieve a Powered UP Hub by primary MAC address.

##### Parameters:

Name | Type | Description
--- | --- | ---
`address` | string |

Source:
  - poweredup-browser.js, line 97

#### getHubByPrimaryMACAddress(address) → {BaseHub}

Retrieve a Powered UP Hub by primary MAC address.

##### Parameters:

Name | Type | Description
--- | --- | ---
`address` | string |

Source:
  - poweredup-node.js, line 117

#### getHubByUUID(uuid) → {BaseHub|null}

Retrieve a Powered UP Hub by UUID.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uuid` | string |

Source:
  - poweredup-browser.js, line 88

#### getHubByUUID(uuid) → {BaseHub|null}

Retrieve a Powered UP Hub by UUID.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uuid` | string |

Source:
  - poweredup-node.js, line 108

#### getHubs() → {Array.<BaseHub>}

Retrieve a list of Powered UP Hubs.

Source:
  - poweredup-browser.js, line 80

#### getHubs() → {Array.<BaseHub>}

Retrieve a list of Powered UP Hubs.

Source:
  - poweredup-node.js, line 100

#### getHubsByName(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-browser.js, line 106

#### getHubsByName(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-node.js, line 126

#### getHubsByType(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-browser.js, line 115

#### getHubsByType(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-node.js, line 135

#### scan()

Begin scanning for Powered UP Hub devices.

Source:
  - poweredup-browser.js, line 46

#### scan()

Begin scanning for Powered UP Hub devices.

Source:
  - poweredup-node.js, line 74

#### stop()

Stop scanning for Powered UP Hub devices.

Source:
  - poweredup-node.js, line 89

### Events

#### discover

Emits when a Powered UP Hub device is found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`hub` | WeDo2SmartHub | MoveHub | TechnicMediumHub | RemoteControl | DuploTrainBase |

Source:
  - poweredup-browser.js, line 225

#### discover

Emits when a Powered UP Hub device is found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`hub` | WeDo2SmartHub | MoveHub | TechnicMediumHub | RemoteControl | DuploTrainBase |

Source:
  - poweredup-node.js, line 188

## PoweredUP

#### new PoweredUP()

Source:
  - poweredup-node.js, line 64

### Extends

- EventEmitter

### Methods

#### getHubByPrimaryMACAddress(address) → {BaseHub}

Retrieve a Powered UP Hub by primary MAC address.

##### Parameters:

Name | Type | Description
--- | --- | ---
`address` | string |

Source:
  - poweredup-browser.js, line 97

#### getHubByPrimaryMACAddress(address) → {BaseHub}

Retrieve a Powered UP Hub by primary MAC address.

##### Parameters:

Name | Type | Description
--- | --- | ---
`address` | string |

Source:
  - poweredup-node.js, line 117

#### getHubByUUID(uuid) → {BaseHub|null}

Retrieve a Powered UP Hub by UUID.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uuid` | string |

Source:
  - poweredup-browser.js, line 88

#### getHubByUUID(uuid) → {BaseHub|null}

Retrieve a Powered UP Hub by UUID.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uuid` | string |

Source:
  - poweredup-node.js, line 108

#### getHubs() → {Array.<BaseHub>}

Retrieve a list of Powered UP Hubs.

Source:
  - poweredup-browser.js, line 80

#### getHubs() → {Array.<BaseHub>}

Retrieve a list of Powered UP Hubs.

Source:
  - poweredup-node.js, line 100

#### getHubsByName(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-browser.js, line 106

#### getHubsByName(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-node.js, line 126

#### getHubsByType(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-browser.js, line 115

#### getHubsByType(name) → {Array.<BaseHub>}

Retrieve a list of Powered UP Hub by type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - poweredup-node.js, line 135

#### scan()

Begin scanning for Powered UP Hub devices.

Source:
  - poweredup-browser.js, line 46

#### scan()

Begin scanning for Powered UP Hub devices.

Source:
  - poweredup-node.js, line 74

#### stop()

Stop scanning for Powered UP Hub devices.

Source:
  - poweredup-node.js, line 89

### Events

#### discover

Emits when a Powered UP Hub device is found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`hub` | WeDo2SmartHub | MoveHub | TechnicMediumHub | RemoteControl | DuploTrainBase |

Source:
  - poweredup-browser.js, line 225

#### discover

Emits when a Powered UP Hub device is found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`hub` | WeDo2SmartHub | MoveHub | TechnicMediumHub | RemoteControl | DuploTrainBase |

Source:
  - poweredup-node.js, line 188